local old_init = WeaponFactoryTweakData.init

function WeaponFactoryTweakData:init(tweak_data)
    old_init(self, tweak_data)
	self.parts.wpn_fps_bow_long_m_poison = {
		pcs = {},
		type = "ammo",
		name_id = "bm_wp_bow_long_poison",
		a_obj = "a_m",
		parent = "lower_reciever",
		bullet_objects = {prefix = "g_bullet_", amount = 1},
		unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_fps_bow_long_m_poison",
		third_unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_third_bow_long_m_poison",
		stats = {damage = -25, total_ammo_mod = -6},
		custom_stats = {
			ammo_pickup_min_mul = 0, 
			ammo_pickup_max_mul = 0,
			can_shoot_through_shield = true,
			launcher_grenade = "long_poison_arrow",
			dot_data = {
				type = "poison",
				custom_data = {dot_length = 999, hurt_animation_chance = 0.05, dot_damage = 1,dot_trigger_max_distance = 3000,dot_tick_period = 1}
			}
		},
		texture_bundle_folder = "steel",
		sub_type = "ammo_poison",
		is_a_unlockable = true
	}

		self.parts.wpn_fps_bow_long_m_explosive_new = {
		pcs = {},
		type = "ammo",
		name_id = "bm_wp_bow_long_explosion_new",
		a_obj = "a_m",
		parent = "lower_reciever",
		bullet_objects = {prefix = "g_bullet_", amount = 1},
		unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_fps_bow_long_m_explosive",
		third_unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_third_bow_long_m_explosive",
		stats = {damage = 20, total_ammo_mod = -15},
		custom_stats = {
			launcher_grenade = "long_arrow_exp",
			ammo_pickup_min_mul = 1.3, 
			ammo_pickup_max_mul = 0.5 --1:norm 2:FL aced
		},
		texture_bundle_folder = "steel",
		sub_type = "ammo_explosive",
		is_a_unlockable = true
	}

		self.parts.wpn_fps_bow_long_m_explosive = {
		pcs = {},
		type = "ammo",
		name_id = "bm_wp_bow_long_explosion",
		a_obj = "a_m",
		parent = "lower_reciever",
		bullet_objects = {prefix = "g_bullet_", amount = 1},
		unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_fps_bow_long_m_explosive",
		third_unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_third_bow_long_m_explosive",
		stats = {damage = 20},
		custom_stats = {
			launcher_grenade = "long_arrow_exp",
			ammo_pickup_min_mul = 0.0, 
			ammo_pickup_max_mul = 0.0 --1:norm 2:FL aced
		},
		texture_bundle_folder = "steel",
		sub_type = "ammo_explosive",
		is_a_unlockable = true
	}

	self.parts.wpn_fps_bow_long_m_standard = {
		type = "ammo",
		name_id = "bm_wp_long_barrel",
		a_obj = "a_m",
		parent = "lower_reciever",
		bullet_objects = {prefix = "g_bullet_", amount = 1},
		unit = "units/pd2_dlc_steel/weapons/wpn_fps_bow_long_pts/wpn_fps_bow_long_m_standard",
		stats = {value = 1},
		custom_stats = {
			ammo_pickup_min_mul = 0, 
			ammo_pickup_max_mul = 0
		}
	}
end	